<?xml version="1.0" encoding="UTF-8"?><SPECjEnterprise xmlns:fa="http://faban.sunsource.net/ns/faban" xmlns:fd="http://faban.sunsource.net/ns/fabandriver" xmlns:fh="http://faban.sunsource.net/ns/fabanharness">
    <fh:jvmConfig>
        <fh:javaHome>/opt/WAS7.0/64bit/java/jre</fh:javaHome>
        <fh:jvmOptions>-classpath /opt/driver/SPECjEnterprise2010_v1.02Kit/faban/harness/faban/lib/fabancommon.jar:/opt/driver/SPECjEnterprise2010_v1.02Kit/faban/harness/faban/lib/fabandriver.jar:/opt/driver/SPECjEnterprise2010_v1.02Kit/faban/harness/faban/lib/fabanagents.jar:/opt/driver/SPECjEnterprise2010_v1.02Kit/faban/harness/faban/lib/commons-codec-1.2.jar:/opt/driver/SPECjEnterprise2010_v1.02Kit/faban/harness/faban/lib/commons-httpclient-3.1.jar:/opt/driver/SPECjEnterprise2010_v1.02Kit/target/jar/specjdriver.jar:/opt/driver/SPECjEnterprise2010_v1.02Kit/target/jar/specj.jar:/opt/WAS7.0/64bit/runtimes/com.ibm.jaxws.thinclient_7.0.0.jar:/opt/WAS7.0/64bit/runtimes/com.ibm.ws.webservices.thinclient_7.0.0.jar:/opt/WAS7.0/64bit/runtimes/com.ibm.ws.ejb.thinclient_7.0.0.jar:/opt/WAS7.0/64bit/runtimes/com.ibm.ws.jpa.thinclient_7.0.0.jar:/opt/WAS7.0/64bit/runtimes  -Xms2048M -Xmx2048M -Djava.net.preferIPv4Stack=true -Dsun.net.inetaddr.ttl=0 -Dnetworkaddress.cache.ttl=0  -Dcom.ibm.websphere.naming.jndicache.cacheobject=none -Dcom.ibm.websphere.naming.hostname.normalizer=...none... -DdisableWSAddressCaching=true -Dcom.ibm.CORBA.ConnectionMultiplicity=28 -Dcom.ibm.CORBA.FragmentSize=10000</fh:jvmOptions>
    </fh:jvmConfig>
    
    <fa:runConfig definition="org.spec.jent.driver.SpecJEnterpriseBenchmark">
        <fh:description>SPECjEnterprise2010</fh:description>
        <fh:timeSync>false</fh:timeSync>
        <fa:hostConfig>
            <fa:host>specdriver2 specdriver1 specdriver3 specdriver4 specdriver5 specdriver6 specdriver7 specdriver8 specdriver9 specdriver10 specdriver11 specdriver12 specdriver13 specdriver14 specdriver15 specdriver16</fa:host>
            <fh:enabled>true</fh:enabled>
            <fh:cpus>0</fh:cpus>
            <fh:tools>NONE</fh:tools>
            <fh:userCommands/>
        </fa:hostConfig>
        <fa:scale>10000</fa:scale>
        <fa:runControl>
            <fa:rampUp>1200</fa:rampUp>
            <fa:steadyState>3600</fa:steadyState>
            <fa:rampDown>300</fa:rampDown>
        </fa:runControl>
        <fd:outputDir>/opt/driver/SPECjEnterprise2010_v1.02Kit/faban/harness/faban/output/specjdriverharness.7W/</fd:outputDir>
        <fd:threadStart>
            <fd:delay>75</fd:delay>
            <fd:simultaneous>false</fd:simultaneous>
            <fd:parallel>true</fd:parallel>
        </fd:threadStart>
        <fd:runtimeStats enabled="true">
            <fd:interval>15</fd:interval>
        </fd:runtimeStats>
        <fd:stats>
            <fd:interval>15</fd:interval>
        </fd:stats>
        <audit>true</audit>
        <stopIfAuditFailed>true</stopIfAuditFailed>
        <applicationConfig>
            <maxItemsPerLoc>75000</maxItemsPerLoc>
            <itemsPerTxRate>100</itemsPerTxRate>
            <plannedLineBorrowPercent>10</plannedLineBorrowPercent>
            <initialCtxFactory>com.ibm.websphere.naming.WsnInitialContextFactory</initialCtxFactory>
            <jndiProvider>iiop://specdeliveryrmi:2809</jndiProvider>
            <urlPkgPrefix>com.sun.enterprise.naming</urlPkgPrefix>
            <vendorICConfig>
                <config_1/>
                <config_2/>
                <config_3/>
                <config_4/>
                <config_5/>
            </vendorICConfig>
        </applicationConfig>

        <fd:driverConfig name="DealerDriver">
            <fd:agents>16</fd:agents>
            <fd:properties>
                <fd:property>
                    <fd:name>OrderAuditBean</fd:name>
                    <fd:value>org.spec.jent.ejb.orders.session.OrderAuditSessionRemote</fd:value>
                </fd:property>	
                <fd:property>
                    <fd:name>queryString</fd:name>
                    <fd:value>/specj/app?</fd:value>
                </fd:property>
                <fd:property>
                    <fd:name>htmlOutput</fd:name>
                    <fd:value>false</fd:value>
                </fd:property>
                <fd:property>
                    <fd:name>debugOutput</fd:name>
                    <fd:value>false</fd:value>
                </fd:property>
            </fd:properties>
        </fd:driverConfig>
        
        <fd:driverConfig name="MfgDriver">
            <fd:agents>16</fd:agents>
            <fd:properties>  
                <fd:property>
                    <fd:name>WorkOrderBean</fd:name>
                    <fd:value>org.spec.jent.ejb.mfg.session.WorkOrderSessionRemote</fd:value>
                </fd:property>
                <fd:property>
                    <fd:name>WorkOrderWebServiceEndpoint</fd:name>
                    <fd:value>http://specdeliveryws:9082/specjejb/WorkOrderSessionService</fd:value>
                </fd:property>	
                <fd:property>
                    <fd:name>SupplierBean</fd:name>
                    <fd:value>org.spec.jent.ejb.supplier.session.SupplierSessionRemote</fd:value>
                </fd:property>
                <fd:property>
                    <fd:name>RunConfigBean</fd:name>
                    <fd:value>org.spec.jent.ejb.supplier.session.RunConfigSessionRemote</fd:value>
                </fd:property>
                <fd:property>
                    <fd:name>supp_ws_url</fd:name>
                    <fd:value>http://specemulator:9080/emulator/SupplierService</fd:value>
                </fd:property>
                <fd:property>
                    <fd:name>supp_reply_url</fd:name>
                    <fd:value>http://specdeliveryemu:9081/supplier/BuyerService</fd:value>
                </fd:property>
                <fd:property>
                    <fd:name>MfgAuditBean</fd:name>
                    <fd:value>org.spec.jent.ejb.mfg.session.MfgAuditSessionRemote</fd:value>
                </fd:property>	
                <fd:property>
                    <fd:name>SupplierAuditBean</fd:name>
                    <fd:value>org.spec.jent.ejb.supplier.session.SupplierAuditSessionRemote</fd:value>
                </fd:property>
                <fd:property>
                    <fd:name>WorkOrderWebServiceWSDL</fd:name>
                    <fd:value>http://specdelivery:9082/specjejb/WorkOrderSessionService?wsdl</fd:value>
                </fd:property>
            </fd:properties>
        </fd:driverConfig>
        
    </fa:runConfig>
    <appServerConfig>
        <fa:hostConfig>
            <fa:host>specdeliveryweb</fa:host>
            <fh:enabled>false</fh:enabled>
            <fh:cpus>0</fh:cpus>
            <fh:tools/>
            <fh:userCommands/>
        </fa:hostConfig>
        <port>9080</port>
    </appServerConfig>
    <dbServerConfig>
        <fa:hostConfig>
            <fa:host>localhost</fa:host>
            <fh:enabled>false</fh:enabled>
            <fh:cpus>0</fh:cpus>
            <fh:tools/>
            <fh:userCommands/>
        </fa:hostConfig>
    </dbServerConfig>
    <emulatorServerConfig>
        <fa:hostConfig>
            <fa:host>specemulator</fa:host>
            <fh:enabled>false</fh:enabled>
            <fh:cpus>0</fh:cpus>
            <fh:tools/>
            <fh:userCommands/>
        </fa:hostConfig>
    </emulatorServerConfig>
    
</SPECjEnterprise>